Skip to main content
GET
Get passkey authentication options

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

The Relying Party ID (rpID) to use as the passkey challenge rpID when authenticating from a related origin (Related Origin Requests). Must be a bare hostname such as example.com (no scheme, port, or path); a full origin like https://example.com is also accepted for convenience. When omitted, the rpID is derived from the request's Origin header.

Example:

"example.com"

Response

returns passkey authentication options

challenge
string
required
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

timeout
number

Timeout in milliseconds

rpId
string
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

userVerification
enum<string>
Available options:
discouraged,
preferred,
required
allowCredentials
object[]

List of credentials the authenticator may use

extensions
object
hints
enum<string>
Available options:
hybrid,
security-key,
client-device
Last modified on July 24, 2026